- Main Page
- Namespaces
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatChapter9/C091201d.cpp File Reference

`#include "MusimatChapter9.h"`

Go to the source code of this file.

## Functions
| MusimatChapter9Section (C091201d)
Integer | transpose (Integer p, Integer off)
Static Void | para1 ()

## Function Documentation

MusimatChapter9Section | ( | C091201d |  | ) |

Definition at line 2 of file C091201d.cpp.

References para1().

    00002                                  {
    00003 Print("*** Transpose ***");
    00004 /*****************************************************************************
    00005
    00006 Transpose
    00007
    00008 The dodecaphonic pitch classes are not tied to any octave. In order to realize music
    00009 from a tone row, its intervallic content must be translated to actual pitches of the musical scale.
    00010 One way to do this is to supply a pitch offset that transposes across pitch space (i.e., without lim-
    00011 iting it just to the range of pitch classes).
    00012 *****************************************************************************/
    00013         para1(); // Step into this function to continue.
    00014 }

Static Void para1 | ( |  | ) |

Definition at line 20 of file C091201d.cpp.

    00020                     {
    00021 /*****************************************************************************
    00022 The C major diatonic scale in the fourth piano octave can then be given as follows:
    00023 *****************************************************************************/
    00024
    00025         Print("*** Transposing across pitch space ***");
    00026         PitchList Cmaj(C, D, E, F, G, A, B); // define C major scale
    00027         Print(Cmaj);
    00028
    00029 /*****************************************************************************
    00030 This prints {C4, D4, E4, F4, G4, A4, B4}.
    00031 *****************************************************************************/
    00032
    00033         Cmaj += 4 * 12;
    00034         Print("Transposed up 4 octaves:",  Cmaj);
    00035
    00036 }}

Integer transpose | ( | Integer | p,
|  | Integer | off |
| ) |  |  |

Definition at line 16 of file C091201d.cpp.

    00016                                           {
    00017         Return(p + off);
    00018 }